Skip to main content

Transfer Wallet Balance Request

Request URL​

http(s)://API_URL/v2/app/users/:userId/balance?clientId=[CLIENT_ID]&userId=[userId]&currency=[currency]

Request header (HTTP Header)​

Parameter NameDescriptionOptional / Mandatory
signRequest signatureMandatory

Request parameters​

Parameter NameDescriptionOptional / Mandatory
clientIdCasino identifier. Sent in the request lineMandatory
userIdUser identifierMandatory
currencyISO currency codeOptional

Response parameters​

If the currency code was sent, the balance data for this currency will be provided; otherwise, you'll get the data on user balance for all available currencies.

Parameter NameDescriptionOptional / Mandatory
currencyISO currency codeMandatory
availableCurrent user account balance minus the money used for the game at the moment (in cents)Mandatory
in-playTotal money in the game (at the table) in centsMandatory

Errors returned​

HTTP CodeMessageDescription
400Not valid requestIncorrect request signature
404Player not foundUser with userId sent was not found
422Currency not validWrong currency ISO code was sent

Example of response​

{
"data": [
{
"id": "",
"type": "balance",
"attributes": {
"currency": "USD",
"available": 200,
"in-play": 0
}
},
{
"id": "",
"type": "balance",
"attributes": {
"currency": "FUN",
"available": 1000,
"in-play": 0
}
}
]
}